
<!DOCTYPE html>
<html lang="de">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>smile (canvas)</title>
        <style>
            
            #smile:hover {
                transform: translate(100px, 100px) rotate(-45deg);

                /* https://www.w3schools.com/cssref/css3_pr_transform.asp */
                /* https://www.w3schools.com/css/css3_transitions.asp */
                                
                transition-delay: 2s;
                transition-duration: 10s;
                transition-timing-function: ease;                           
            }

        </style>
    </head>
    <body>
        <main>
            <canvas id="smile">
            </canvas>
        </main>
        <script>
            function smile() {
                var canvas = document.getElementById('smile');
                if (canvas.getContext) {
                    var ctx = canvas.getContext('2d');

                    ctx.beginPath();
                    ctx.arc(75, 75, 50, 0, Math.PI * 2, true); 
                    ctx.moveTo(110, 75);
                    ctx.arc(75, 75, 35, 0, Math.PI, false);  
                    ctx.moveTo(65, 65);
                    ctx.arc(60, 65, 5, 0, Math.PI * 2, true);
                    ctx.moveTo(95, 65);
                    ctx.arc(90, 65, 5, 0, Math.PI * 2, true);
                    ctx.stroke();
                }
            }

            smile();
        </script>            
    </body>
</html>
